# The link to binary should be made in directory from this list
# it will be tried using THIS order

BINARY=nplivemath.so

if [ ! -f $BINARY ]; then
	echo "BINARY=$BINARY doesn't exist."
 	echo "Maybe you ran this script from unapproperiate directory."
    echo "It should be run from main directory of the product."
	
    exit -1
fi

if [ $UID == 0 ]; then
	GLOBAL="true"
fi

BIN_DIRS="$1 $HOME/.mozilla/plugins"

if [ "$GLOBAL" == "true" ]; then
	BIN_DIRS="$1 /usr/lib/mozilla/plugins"
fi

# now actually makes the link - tryins directories in the same order 
for bindir in $BIN_DIRS
do
	if [ -e $bindir/$BINARY ]; then
  	  rm -f $bindir/$BINARY
   	fi 
done

echo "LiveMath Netscape plugin was successfully uninstalled"
